@media (max-width: 1200px) {


  .wp-block-navigation a,
  .wp-block-navigation a:focus,
  .wp-block-navigation a:focus-visible,
  .wp-block-navigation a:active {
    outline: none !important;
    box-shadow: none !important;
    border: none !important;
  }
 
	
	
  .wp-block-navigation li {
    border: none !important;
  }

  .wp-block-navigation__responsive-container-open svg {
    width: 35px;
    height: 35px;
  }

 
  ul.wp-block-navigation__submenu-container {
    display: none !important;
  }

  li.wp-block-navigation-submenu.open
  ul.wp-block-navigation__submenu-container {
    display: block !important;
  }

  header .wp-block-navigation li{
    border-bottom: 1px solid #808080 !important;
}

header .wp-block-navigation li:hover{
   border-bottom: none !important;
}
	header .wp-block-navigation li >
.wp-block-navigation-item__content{
    transition: all 0.3s ease;
}

header .wp-block-navigation li:hover >
.wp-block-navigation-item__content{

  
    border-radius: 10px;
}

  .wp-block-navigation ul,
  .wp-block-navigation-item {
    width: 100%;
  }
	

  .wp-block-navigation-submenu
  .wp-block-navigation__submenu-icon {
    display: inline-block !important;
    position: absolute;
    right: 3%;
    top: 5px;
    width: 2em;
    height: 2em;
  }

  .wp-block-navigation-submenu
  .wp-block-navigation__submenu-icon svg {
    width: 1em;
  }


/*   .wp-block-navigation__responsive-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 70%;
    height: 100vh;
    background: #DCEBCA !important;
    color: black !important;
    transform: translateX(-100%);
   transition-duration: 0.5s;
    will-change: transform;
    display: flex;
    flex-direction: column;
	     border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
  }
 */
	
	.wp-block-navigation__responsive-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 70%;
    height: 100vh;
    background: #DCEBCA !important;
    color: black !important;

    transform: translateX(-100%);
   transform 1.2s cubic-bezier(0.22, 1, 0.36, 1);

    will-change: transform;
    display: flex;
    flex-direction: column;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
}

	

  .wp-block-navigation__responsive-container.is-menu-open {
    transform: translateX(0);
  }


  .wp-block-navigation__responsive-container-content {
    gap: 10px;
    padding-top: calc(2rem + 24px);
  }


  .wp-block-navigation__responsive-container-close {
    display: block;
    position: absolute;
    right: 10px;
    top: 10px;
    z-index: 2;
    cursor: pointer;
  }

  .wp-block-navigation__responsive-container.is-menu-closed
  .wp-block-navigation__responsive-container-close {
    display: none;
  }

  
 header .wp-block-navigation__responsive-container-content
  .wp-block-navigation
  .wp-block-navigation-item__content {
    display: block;
   
    width: 100%;
    color: #000;
padding-top:10px !important
  }

  .wp-block-navigation__responsive-container.is-menu-open
  .wp-block-navigation__responsive-container-content
  .wp-block-navigation-item__content {
    padding-left: 20px !important;
  }

  .wp-block-navigation__responsive-container.is-menu-open
  .wp-block-navigation__responsive-container-content
  .has-child
  .wp-block-navigation__submenu-container {
    width: 100%;
    padding: 0 5%;
  }

 header .wp-block-navigation li:hover >
  .wp-block-navigation-item__content,
  .wp-block-navigation li >
  .wp-block-navigation-item__content:hover {
    background-color: #024120;
    color: #ffffff !important;
  }
	header .wp-block-navigation ul {
		padding: 0px 10px !important;
	}

.home-icons a::before{
    content: url(https://futurefuel.flyessential.com/staging/wp-content/uploads/2026/03/material-symbols-light_home-outline-rounded.svg);
    vertical-align: middle;
    margin-right:6px;
    transition: filter 0.3s ease;
}
.home-icons a:hover::before{
    content: url(https://futurefuel.flyessential.com/staging/wp-content/uploads/2026/03/material-symbols-light_home-rounded.svg);
}

.shop-icons a::before{
     content: url(https://futurefuel.flyessential.com/staging/wp-content/uploads/2026/03/mage_shop.svg);
    vertical-align: middle;
    margin-right:6px;
    transition: filter 0.3s ease;
}
.shop-icons a:hover::before{
      content: url(https://futurefuel.flyessential.com/staging/wp-content/uploads/2026/03/white-shop.png);
}
.categories-icons a::before{
      content: url(https://futurefuel.flyessential.com/staging/wp-content/uploads/2026/03/tabler_layout-grid.png);
    vertical-align: middle;
    margin-right:6px;
    transition: filter 0.3s ease;
}
.categories-icons  a:hover::before{
      content: url(https://futurefuel.flyessential.com/staging/wp-content/uploads/2026/03/white-categories.png);
}

.about-icon a::before{
        content: url(https://futurefuel.flyessential.com/staging/wp-content/uploads/2026/03/mynaui_leaf.png);
    vertical-align: middle;
    margin-right:6px;
    transition: filter 0.3s ease;
}
.about-icon a:hover::before{
    content: url(https://futurefuel.flyessential.com/staging/wp-content/uploads/2026/03/white-about.png);
}

.contact-icons a::before{
        content: url(https://futurefuel.flyessential.com/staging/wp-content/uploads/2026/03/lets-icons_phone-light.png);
    vertical-align: middle;
    margin-right:6px;
    transition: filter 0.3s ease;
}
.contact-icons  a:hover::before{
    content: url(https://futurefuel.flyessential.com/staging/wp-content/uploads/2026/03/white-contact.png);
}





  .wp-block-navigation__submenu-container li:hover >
  .wp-block-navigation-item__content {
    background-color: #024120;
    color: #ffffff !important;
  }

  ul.wp-block-navigation li.current-menu-item > a,
  ul.wp-block-navigation li li.current-menu-item > a {
    background-color: #024120;
    color: #ffffff !important;
   
  }
}